package ar.com.supervielle.wsdl.servicios.integracion.cuenta.ctacte_v1;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;
import javax.xml.ws.Service;

/**
 * This class was generated by Apache CXF 3.0.3
 * 2019-09-26T08:39:06.507-03:00
 * Generated source version: 3.0.3
 * 
 */
@WebServiceClient(name = "CuentaCorriente", 
                  wsdlLocation = "http://dasoa-01:9812/wsdl/servicios/integracion/cuenta/ctaCte-v1.2?wsdl",
                  targetNamespace = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1") 
public class CuentaCorriente extends Service {

    public final static URL WSDL_LOCATION;

    public final static QName SERVICE = new QName("http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1", "CuentaCorriente");
    public final static QName CuentaCorrienteSvcV1 = new QName("http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1", "CuentaCorrienteSvc_v1");
    public final static QName CuentaCorrienteSvcV12 = new QName("http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1", "CuentaCorrienteSvc_v12");
    public final static QName CuentaCorrienteSvc = new QName("http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1", "CuentaCorrienteSvc");
    static {
        URL url = null;
        try {
            url = new URL("http://dasoa-01:9812/wsdl/servicios/integracion/cuenta/ctaCte-v1.2?wsdl");
        } catch (MalformedURLException e) {
            java.util.logging.Logger.getLogger(CuentaCorriente.class.getName())
                .log(java.util.logging.Level.INFO, 
                     "Can not initialize the default wsdl from {0}", "http://dasoa-01:9812/wsdl/servicios/integracion/cuenta/ctaCte-v1.2?wsdl");
        }
        WSDL_LOCATION = url;
    }

    public CuentaCorriente(URL wsdlLocation) {
        super(wsdlLocation, SERVICE);
    }

    public CuentaCorriente(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public CuentaCorriente() {
        super(WSDL_LOCATION, SERVICE);
    }
    
    //This constructor requires JAX-WS API 2.2. You will need to endorse the 2.2
    //API jar or re-run wsdl2java with "-frontend jaxws21" to generate JAX-WS 2.1
    //compliant code instead.
    public CuentaCorriente(WebServiceFeature ... features) {
        super(WSDL_LOCATION, SERVICE, features);
    }

    //This constructor requires JAX-WS API 2.2. You will need to endorse the 2.2
    //API jar or re-run wsdl2java with "-frontend jaxws21" to generate JAX-WS 2.1
    //compliant code instead.
    public CuentaCorriente(URL wsdlLocation, WebServiceFeature ... features) {
        super(wsdlLocation, SERVICE, features);
    }

    //This constructor requires JAX-WS API 2.2. You will need to endorse the 2.2
    //API jar or re-run wsdl2java with "-frontend jaxws21" to generate JAX-WS 2.1
    //compliant code instead.
    public CuentaCorriente(URL wsdlLocation, QName serviceName, WebServiceFeature ... features) {
        super(wsdlLocation, serviceName, features);
    }    

    /**
     *
     * @return
     *     returns CuentaCorrientePortTypeV11
     */
    @WebEndpoint(name = "CuentaCorrienteSvc_v1")
    public CuentaCorrientePortTypeV11 getCuentaCorrienteSvcV1() {
        return super.getPort(CuentaCorrienteSvcV1, CuentaCorrientePortTypeV11.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns CuentaCorrientePortTypeV11
     */
    @WebEndpoint(name = "CuentaCorrienteSvc_v1")
    public CuentaCorrientePortTypeV11 getCuentaCorrienteSvcV1(WebServiceFeature... features) {
        return super.getPort(CuentaCorrienteSvcV1, CuentaCorrientePortTypeV11.class, features);
    }
    /**
     *
     * @return
     *     returns CuentaCorrientePortTypeV12
     */
    @WebEndpoint(name = "CuentaCorrienteSvc_v12")
    public CuentaCorrientePortTypeV12 getCuentaCorrienteSvcV12() {
        return super.getPort(CuentaCorrienteSvcV12, CuentaCorrientePortTypeV12.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns CuentaCorrientePortTypeV12
     */
    @WebEndpoint(name = "CuentaCorrienteSvc_v12")
    public CuentaCorrientePortTypeV12 getCuentaCorrienteSvcV12(WebServiceFeature... features) {
        return super.getPort(CuentaCorrienteSvcV12, CuentaCorrientePortTypeV12.class, features);
    }
    /**
     *
     * @return
     *     returns CuentaCorrientePortTypeV1
     */
    @WebEndpoint(name = "CuentaCorrienteSvc")
    public CuentaCorrientePortTypeV1 getCuentaCorrienteSvc() {
        return super.getPort(CuentaCorrienteSvc, CuentaCorrientePortTypeV1.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns CuentaCorrientePortTypeV1
     */
    @WebEndpoint(name = "CuentaCorrienteSvc")
    public CuentaCorrientePortTypeV1 getCuentaCorrienteSvc(WebServiceFeature... features) {
        return super.getPort(CuentaCorrienteSvc, CuentaCorrientePortTypeV1.class, features);
    }

}
